# Class: BlendMode

Defined in: | lib/psd/blend_mode.coffee
Inherits: | Module

## Property Summary

(String) blendKey
  The 4 character key for the blending mode.
(Number) opacity
  The opacity of the layer, from [0, 255].
(Number) clipping
  Raw value for the clipping state of this layer.
(Boolean) clipped
  Is this layer a clipping mask?
(String) mode
  The readable representation of the blend mode.
(Boolean) visible
  Is this layer visible?

## Instance Method Summary

- # (void) parse() Parses the blend mode data.
- # (void) opacityPercentage() Returns the layer opacity as a percentage.

## Constructor Details

# (void) constructor(file)

## Instance Method Details

# (void) parse()

Parses the blend mode data.

# (void) opacityPercentage()

Returns the layer opacity as a percentage.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input